SDL_DropEvent Struct Reference

An event used to request a file open by the system (event.drop.*) This event is enabled by default, you can disable it with SDL_EventState(). More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
char * | file
Uint32 | windowID

## Detailed Description

An event used to request a file open by the system (event.drop.*) This event is enabled by default, you can disable it with SDL_EventState().

Note
  If this event is enabled, you must free the filename in the event.

Definition at line 465 of file SDL_events.h.

## Field Documentation

## file

char* SDL_DropEvent::file

The file name, which should be freed with SDL_free(), is NULL on begin/complete

Definition at line 469 of file SDL_events.h.

## timestamp

Uint32 SDL_DropEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 468 of file SDL_events.h.

## type

Uint32 SDL_DropEvent::type

SDL_DROPBEGIN or SDL_DROPFILE or SDL_DROPTEXT or SDL_DROPCOMPLETE

Definition at line 467 of file SDL_events.h.

## windowID

Uint32 SDL_DropEvent::windowID

The window that was dropped on, if any

Definition at line 470 of file SDL_events.h.

Referenced by main().

The documentation for this struct was generated from the following file:

- include/SDL_events.h